<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE Association SYSTEM "jbo_03_01.dtd">
<!---->
<Association
  xmlns="http://xmlns.oracle.com/bc4j"
  Name="LocCIdFkAssoc"
  Version="12.2.1.9.14"
  InheritPersonalization="merge">
  <DesignTime>
    <Attr Name="_isCodegen" Value="true"/>
  </DesignTime>
  <AssociationEnd
    Name="Countries"
    Cardinality="1"
    Source="true"
    Owner="com.redsamurai.model.entities.Countries">
    <DesignTime>
      <Attr Name="_isUpdateable" Value="true"/>
      <Attr Name="_aggregation" Value="0"/>
      <Attr Name="_finderName" Value="Countries"/>
      <Attr Name="_foreignKey" Value="com.redsamurai.model.entities.Countries.CountryCIdPk"/>
    </DesignTime>
    <AttrArray Name="Attributes">
      <Item Value="com.redsamurai.model.entities.Countries.CountryId"/>
    </AttrArray>
  </AssociationEnd>
  <AssociationEnd
    Name="Locations"
    Cardinality="-1"
    Owner="com.redsamurai.model.entities.Locations">
    <DesignTime>
      <Attr Name="_isUpdateable" Value="true"/>
      <Attr Name="_aggregation" Value="0"/>
      <Attr Name="_finderName" Value="Locations"/>
      <Attr Name="_foreignKey" Value="com.redsamurai.model.entities.Locations.LocCIdFk"/>
    </DesignTime>
    <AttrArray Name="Attributes">
      <Item Value="com.redsamurai.model.entities.Locations.CountryId"/>
    </AttrArray>
  </AssociationEnd>
</Association>
